%define upstream_name Crypt-URandom
%define upstream_version 0.54

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provide non blocking randomness
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Crypt-URandom
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.260.0
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FileHandle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.140.0
BuildRequires: perl(constant)
BuildRequires: perl-devel
%description
This Module is intended to provide an interface to the strongest 
available source of non-blocking randomness on the current platform.
Platforms currently supported are anything supporting /dev/urandom
and versions of Windows greater than or equal to Windows 2000.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}
# Make scripts with shebangs executable
chmod a+x t/core_read.t t/core_fork.t t/core_fork_pp.t t/core_partial_read.t \
    t/core_sysopen.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1

%make_build

%check
unset CRYPT_URANDOM_BUILD_DEBUG
# (tv) fail if locale is not 'C':
export LC_ALL=C
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%dir %{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/auto/Crypt/URandom
%dir %{perl_vendorarch}/Crypt
%{perl_vendorarch}/Crypt/URandom.pm
%{_mandir}/man3/*

%changelog
* Mon Mar 17 2025 tv <tv> 0.540.0-1.mga10
+ Revision: 2165610
- update to 0.54

* Mon Feb 17 2025 tv <tv> 0.530.0-1.mga10
+ Revision: 2149210
- update to 0.53

* Tue Jan 28 2025 daviddavid <daviddavid> 0.520.0-1.mga10
+ Revision: 2143072
- update to 0.52
- no more a noarch pkg

* Mon Feb 26 2024 tv <tv> 0.400.0-1.mga10
+ Revision: 2044354
- update to 0.40

* Tue Aug 29 2023 tv <tv> 0.390.0-1.mga10
+ Revision: 1980938
- update to 0.39

* Sun Mar 20 2022 umeabot <umeabot> 0.360.0-6.mga9
+ Revision: 1802718
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.360.0-5.mga8
+ Revision: 1493626
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.360.0-4.mga7
+ Revision: 1266814
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.360.0-3.mga6
+ Revision: 1024694
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.360.0-2.mga6
+ Revision: 966143
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.360.0-1.mga6
+ Revision: 842657
- imported package perl-Crypt-URandom

